% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/routines.R
\name{checkthetasubset}
\alias{checkthetasubset}
\title{Check a subset of the parameter set theta}
\usage{
checkthetasubset(zset, amat, tvec, nlists)
}
\arguments{
\item{zset}{set of indices that is not included, numbered among the two-list effects only}

\item{amat}{a design matrix}

\item{tvec}{vector of sufficient statistics}

\item{nlists}{number of lists in the original capture-recapture matrix}
}
\value{
If the return result is \code{TRUE}, the linear program shows that the extended maximum likelihood estimate does not exist.
If the return result is \code{FALSE}, the estimate exists.
}
\description{
This routine leaves out a particular set of parameters corresponding to the two-list effects from the parameter set theta.
For the resulting model, it constructs the linear programming
problem to check whether the extended maximum likelihood estimates of the parameters exists. It is called internally by \code{checkallmodels}.
}
